Mafft calledprocesserror

Sorry to get back to you so late. I try and work things out before I ask for help.

The import worked as you suggested thanks.

I have come up with more problems, I was not sure if I should start a new thread, I will put them here:

I am using demultiplexed single end metagenome reads from and Ion torrent. Since I am useless at command lines etc I am using the Studio.

The manifest upload worked and using the various tutorials on your website and the advice on the forums I am trying to get from

raw data -->Phylogeny trees, alpha/beta diversity

  1. I trimmed the data using quality scores in the Quality filter tab (phred score visualisation worked well as tutorial showed). dada just keeps giving me errors.

  2. I then dereplicated data using Dereplicate sequences in the vsearch tab.

3.I am stuck at the MAFFT alignment which I need to do before I go to phylogeny. Error message shows up see below. (after the error I continue)

stderr concurrent.futures.process._RemoteTraceback:
“”"
Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/concurrent/futures/process.py”, line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 35, in _subprocess_apply
results = action(*args, **kwargs)
File “”, line 2, in mafft
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 228, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 363, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/site-packages/q2_alignment/_mafft.py”, line 61, in mafft
run_command(cmd, aligned_fp)
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/site-packages/q2_alignment/_mafft.py”, line 27, in run_command
subprocess.run(cmd, stdout=output_f, check=True)
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/subprocess.py”, line 398, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘mafft’, ‘–preservecase’, ‘–inputorder’, ‘–thread’, ‘1’, ‘/tmp/qiime2-archive-jp3yl64v/1e60eb18-7ebf-4586-b253-7bc513735b16/data/dna-sequences.fasta’]’ returned non-zero exit status 1
“”"

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File “/opt/q2studio-2018.2.0/q2studio/api/jobs.py”, line 156, in callback
results = future.result()
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/concurrent/futures/_base.py”, line 398, in result
return self.__get_result()
File “/home/qiime2/miniconda/envs/qiime2-2018.2/lib/python3.5/concurrent/futures/_base.py”, line 357, in __get_result
raise self._exception
subprocess.CalledProcessError: Command ‘[‘mafft’, ‘–preservecase’, ‘–inputorder’, ‘–thread’, ‘1’, ‘/tmp/qiime2-archive-jp3yl64v/1e60eb18-7ebf-4586-b253-7bc513735b16/data/dna-sequences.fasta’]’ returned non-zero exit status 1

  1. I have started from scratch and repeated everything and I get stuck again on MAFFT. (I tried increasing the memory but its greyed out and i cant interact with it)

  2. I checked all the data individually the trimmed sequences etc and I can make summaries out of them using Studio eg: summary feature table output below

Retained 1,820,119 (100.00%) sequences in 6 (100.00%) samples at the specifed sampling depth.
Sample ID Sequence Count
B3 546,117
B1 496,544
B2 400,609
C3 134,734
C1 123,323
C2 118,792

I have no clue how to solve this. Thanks.

Regards,

Walid

Excellent news, thanks for the update!

Thanks - I split it off into a new topic.

Can you please copy-and-paste those errors (or take a screenshot)? That would help us start to understand what is going wrong.

Okay, makes sense, since you were having trouble with DADA2.

Unfortunately the error message from MAFFT is not really helpful, but, if I had to guess, I would assume you are running out of memory. You might not be able to increase the memory in your virtual machine because the host machine (your workstation) might not have any more available memory.

Did you perform any OTU clustering after you dereplicated? This would help reduce the memory burden, by reducing the number of features in your dataset.

Let us know, looking forward to hearing back from you! :t_rex:

Hello, thank you for the reply,

The dada error is insufficient memory:

UID b91a5ecb-d6c1-48b5-a734-5975ff8a4a56
Completed true
Error true
Inputs demultiplexed_seqs: a997e1aa-d17d-4928-9ddb-b37f57ea14a7
Params chimera_method: consensus
hashed_feature_ids: true
max_ee: 2
min_fold_parent_over_abundance: 1
n_reads_learn: 1000000
n_threads: 1
trim_left: 20
trunc_len: 200
trunc_q: 2

stderr Loading required package: Rcpp
Error: cannot allocate vector of size 1.1 Gb
Execution halted
Warning message:
system call failed: Cannot allocate memory
concurrent.futures.process._RemoteTraceback

As for OTU no I did not do so before dereplication. I am not sure where is is In QStudio. From what I understood from the OTU tutorial (Clustering sequences into OTUs using q2-vsearch — QIIME 2 2018.4.0 documentation) Its the De Novo clustering in Vsearch. They do not give me the option to work on the Raw data on the dereplicated data artifact. When I used the Denovo clustering, Open reference and closed reference (all of them) it was the same memory error.

I have print screened the Memory option from the session. It seems very low to me and I am not sure how to change it. The Oracle VM software indicated I should download the extension pack to change the memory this has not changed anything. I will be trying this tomorrow on a different machine with larger memory and RAM. see if anything changes.

Bellow is a screenshot of the memory change option in session.

I hope the picture uploaded properly

Regards,

Walid

Hi there @Walid!

This makes sense - it looks like you don’t have enough memory allocated to your VM. Luckily, you look like you have some to spare (thanks for the screenshot!). The reason the settings are grayed out in the VBox settings are because your VM is currently on and running. Shut it down and you will be able to increase the RAM setting.

Keep us posted on your progress! :t_rex:

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.